Subject: libosmo-abis.git branch fairwaves/master created. v0.2.0-1-g64642f2
From: [email-masked]
To: [email-masked]
Date: Tue, 15 Apr 2014 16:10:01 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "Osmocom A-bis protcol interface library".

The branch, fairwaves/master has been created
        at  64642f29370b4c68c24e51ad19deb927e867f153 (commit)

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/libosmo-abis/commit/?id=64642f29370b4c68c24e51ad19deb927e867f153

commit 64642f29370b4c68c24e51ad19deb927e867f153
Author: Andreas Eversberg <[email-masked]>
Date:   Tue Jan 21 14:54:41 2014 +0100

    Support for multiple RSL connections with ABIS/ipaccess (BTS side)
    
    In order to support multiple TRX, multiple RSL connections can be
    establised. e1inp_ipa_bts_rsl_connect() requires an additional parameter
    to set the TRX number.
    
    The ts[] array (member of struct e1inp_line) refers to OML and RSL.
    ts[0] refers to OML link, ts[1] to RSL link of first TRX, ts[2] to
    RSL link of second TRX (if exists) and so on.
    
    The code was successfully tested with osmobts-trx and UmTRX with two
    transceivers.
    
    The user of e1inp_ipa_bts_rsl_connect() (which is osmo-bts) must be
    upgraded after applying the patch.
    
    src/common/oml.c
    -	rc = e1inp_ipa_bts_rsl_connect(oml_link->ts->line, inet_ntoa(in), port);
    +	rc = e1inp_ipa_bts_rsl_connect(oml_link->ts->line, inet_ntoa(in), port,
    +		trx->nr);

-----------------------------------------------------------------------

hooks/post-receive
-- 
Osmocom A-bis protcol interface library